﻿package  
{
	import com.kevinhoyt.components.*; 
	
	import flash.display.Sprite;
	import flash.display.StageScaleMode;
	import flash.display.StageAlign;
	import flash.events.MouseEvent;
    import flash.media.CameraRoll;
    import flash.media.MediaType; 
    import flash.media.MediaPromise; 
    import flash.display.SimpleButton;
    import flash.display.Sprite;
    import flash.events.*;
    import flash.text.TextFormat;
    import flash.text.TextField;
    import flash.filesystem.File;
    
    import flash.display.Loader;
    import flash.display.Bitmap;


    /**
     * Document class for SnapAPic application. 
     * AIR for Android sample app 
     *  
     * @author Rich Wagner
     * 
     */    	
	public class GetThatImage extends Sprite 
	{
		private var btn:Button;
		private var ftr:Footer;
		private var lbl:Label;
		private var ttl:Title;
        private var cameraRoll:CameraRoll; 
        private var loader:Loader; 
        private var image:Bitmap;
		
        /**
         * Constructor  
         * 
         */
		public function GetThatImage() 
		{
			super();

			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			ttl = new Title( "Title" );
			addChild( ttl );
			
			lbl = new Label( "Click a button to begin your session" );
			lbl.x = 9;
			lbl.y = 52;
			addChild( lbl );
			
			ftr = new Footer( "Load", "Cancel" );
			ftr.y = 680;
            ftr.addEventListener(FooterEvent.OK, buttonClickHandler); 
			addChild( ftr );
            
            loader = new Loader(); 
            image = new Bitmap(); 
            
            // Camera support?              
            if (CameraRoll.supportsBrowseForImage)
            {
                cameraRoll = new CameraRoll();
                cameraRoll.addEventListener(MediaEvent.SELECT, mediaSelectHandler);
                cameraRoll.addEventListener(ErrorEvent.ERROR, errorHandler);
                cameraRoll.addEventListener(Event.CANCEL, errorHandler);
                
                loader.contentLoaderInfo.addEventListener(Event.COMPLETE, contentLoadedHandler);
                //loader.contentLoaderInfo.addEventListener(Event.INIT, contentLoadHandler);
                
               
            }
            else
            {
                lbl.text = "Unable to access Camera Roll.";
            }     
		}
			
                   

            /**
             * Launches the camera   
             * 
             * @param event
             * 
             */        
            private function buttonClickHandler(event:FooterEvent):void
            {
                cameraRoll.browseForImage();  	
            }     		

            /**
             * Called when an image is selected from the camera roll    
             * 
             * @param event
             * 
             */        
            private function mediaSelectHandler(event:MediaEvent):void
            {
                
                var mediaPromise:MediaPromise = event.data; 
                
                var imageFile:File = mediaPromise.file; 
                lbl.text = imageFile.url; 			
                
                loader.unload();
                loader.loadFilePromise(mediaPromise); 
                
            }
                        

            /**
             * Called when content is done loading by loader
             * 
             * @param event
             * 
             */        
            private function contentLoadedHandler(event:Event):void
            {

                if (stage.contains(image))
                {
                    stage.removeChild(image);					
                }			
                
                image.bitmapData = Bitmap(event.currentTarget.content).bitmapData
                image.scaleX = 0.15;
                image.scaleY = 0.15;
                image.x = 10;
                image.y = 80;			
                stage.addChild(image);

                /* 
                image = Bitmap(loader.content);
                
                image.x = 10; 
                image.y = 80; 
                image.width = stage.stageWidth - 20;
                image.height = 400; 
                
                loader.contentLoaderInfo.removeEventListener(Event.COMPLETE,contentLoadedHandler);
                
                //image = addChild(loader.content);
                //image.x -= image.width/2
                //image.y -= image.height/2			
                image.scaleX = .2;
                image.scaleY = .2;
                
                addChild(image);
                
                */ 
                
            }
            
            
            /**
             * Called when an error occurs 
             * 
             * @param event
             * 
             */                
            public function errorHandler(event:Event):void 
            {
                lbl.text = event.type;
            }		
                                    


    	
	}
}
