﻿package com.kevinhoyt.components 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	public class Label extends Sprite
	{
		private var _label:String = null;
		
		public function Label( label:String = null ) 
		{
			super();
			_label = label;
			addEventListener( Event.ADDED_TO_STAGE, doAdded );
		}
		
		protected function doAdded( event:Event ):void
		{
			field.autoSize = TextFieldAutoSize.LEFT;
			field.defaultTextFormat = new TextFormat( "Droid Sans", 24, 0x000000, true );
			
			if( _label != null )
			{
				field.text = _label;
			} else {
				field.text = "";
			}
		}
		
		public function get text():String
		{
			return _label;
		}
		
		public function set text( value:String ):void
		{
			_label = value;
			
			if( value != null )
			{
				field.text = value;
			}
		}
	}
}
