﻿package com.kevinhoyt.components 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	public class Title extends Sprite
	{
		private var _width:Number = 0;
		private var _label:String = null;
		
		public function Title( label:String = null, width:Number = 480 ) 
		{
			super();
			_label = label;
			_width = width;
			addEventListener( Event.ADDED_TO_STAGE, doAdded );
		}
		
		protected function doAdded( event:Event ):void
		{
			bar.width = _width;
			
			field.autoSize = TextFieldAutoSize.LEFT;
			field.defaultTextFormat = new TextFormat( "Droid Sans", 21, 0xFFFFFF, true );
			
			if( _label != null )
			{
				field.text = _label;
			}
		}
	}
}
