package com.richwagner.Spheres
{
    import flash.display.Sprite; 
    
    /**
     * Sphere class for SphereAcceleration application. 
     * iPhone Development with Flash sample app 
     * 
     * @author Rich Wagner
     * 
     */   
    public class Sphere extends Sprite
    {

        public var size:Number = 25;  
        public var color:Number = 0x000000;  
        public var xSpeed:Number = 0;
        public var ySpeed:Number = 0;

        /**
         * Constructor  
         * 
         * @param size - diameter of sphere 
         * @param color - color of sphere 
         * 
         */
        public function Sphere(size:Number, color:Number)
        {
            size = size; 
            color = color; 
            
            graphics.beginFill(color);  
            graphics.drawCircle(0, 0, size/2);  
            graphics.endFill();  
            
        }

    }
}