package com.richwagner.mobileservices
{
    
    import flash.net.URLRequest;
    import flash.net.navigateToURL;     
    
    /**
     * Abstract class for iPhone mobile service access   
     * Sample code for iPhone Development with Flash 
     *  
     * @author Rich Wagner
     * 
     */      
    public class MobileService
    {
        /**
         * Performs the specified URL-based command. 
         *   
         * @param command - URL with special protocol
         * 
         */
        protected static function executeCommand(command:String):void
        {
            var request:URLRequest = new URLRequest(command);
            try 
            {
                navigateToURL(request); 
            } 
            catch (e:Error) 
            {
                trace("Error occurred!");
            }            
        }            
    
    }
}