﻿package com.kevinhoyt.components 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class Footer extends Sprite 
	{
		private var btnoption:Button = null;
		private var _cancel:String = null;
		private var _ok:String = null;
		private var _option:String = null;
		
		public function Footer( ok:String = "Ok", cancel:String = "Cancel", option:String = null ) 
		{
			super();
			_ok = ok;
			_cancel = cancel;
			_option = option;
			addEventListener( Event.ADDED_TO_STAGE, doAdded );
		}

		protected function doAdded( event:Event ):void
		{
			if( _option != null )
			{
				btnoption = new Button( _option, 146 );
				btnoption.x = 323;
				btnoption.y = 9;
				btnoption.label = _option;
				btnoption.addEventListener( MouseEvent.CLICK, doOptionClick );
				addChild( btnoption );
				
				cancel.x = 167;
			}
			
			ok.addEventListener( Event.ADDED_TO_STAGE, doButtonAdded );
			ok.addEventListener( MouseEvent.CLICK, doOkClick );
			ok.label = _ok;

			cancel.addEventListener( Event.ADDED_TO_STAGE, doButtonAdded );
			cancel.addEventListener( MouseEvent.CLICK, doCancelClick );
			cancel.label = _cancel;
		}
		
		protected function doButtonAdded( event:Event ):void
		{
			if( _option == null )
			{
				Button( event.currentTarget ).setWidth( 224 );
			} else {
				Button( event.currentTarget ).setWidth( 146 );
			}
		}
		
		protected function doCancelClick( event:MouseEvent ):void
		{
			dispatchEvent( new FooterEvent( FooterEvent.CANCEL ) );
		}
		
		protected function doOkClick( event:MouseEvent ):void
		{
			dispatchEvent( new FooterEvent( FooterEvent.OK ) );
		}		
		
		protected function doOptionClick( event:MouseEvent ):void
		{
			dispatchEvent( new FooterEvent( FooterEvent.OPTION ) );
		}		
	}	
}
