﻿package com.kevinhoyt.components  
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class YearStepper extends Sprite 
	{
		private var _current:Number = 0;
		
		public function YearStepper( current:Number = 0 ) 
		{
			super();
			_current = current;
			addEventListener( Event.ADDED_TO_STAGE, doAdded );
		}
		
		protected function doAdded( event:Event ):void
		{
			up.useHandCursor = false;
			up.addEventListener( MouseEvent.CLICK, doUpClick );
			
			down.useHandCursor = false;
			down.addEventListener( MouseEvent.CLICK, doDownClick );
			
			field.text = _current.toString();
		}
		
		protected function doDownClick( event:MouseEvent ):void
		{
			_current = _current - 1;
			field.text = _current.toString();
			
			dispatchEvent( new StepperEvent( StepperEvent.CHANGE ) );			
		}
		
		protected function doUpClick( event:MouseEvent ):void
		{
			_current = _current + 1;
			field.text = _current.toString();
			
			dispatchEvent( new StepperEvent( StepperEvent.CHANGE ) );			
		}		
		
		public function get current():Number
		{
			return _current;
		}
		
		public function set current( value:Number ):void
		{
			_current = value;
			
			field.text = value.toString();
		}
	}
}
